BrokerSubscription.DestinationPair (common-messaging 1.1.0-SNAPSHOT API)
Date: 2018-09-22

org.gcube.datatransfer.common.messaging

## Class BrokerSubscription.DestinationPair

- java.lang.Object
- - org.gcube.datatransfer.common.messaging.BrokerSubscription.DestinationPair

- Enclosing class:
    BrokerSubscription<LISTENER extends javax.jms.MessageListener>

      public class BrokerSubscription.DestinationPair
      extends Object

  destination pair
  Author:
    Andrea Manzi(CERN)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrokerSubscription.DestinationPair()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDestinationName()` get the destinationName name
    `org.gcube.common.core.scope.GCUBEScope` | `getScope()` get the scope
    `boolean` | `isQueue()`
    `void` | `setDestinationName(String destinationName)` set the destinationName name
    `void` | `setQueue(boolean queue)`
    `void` | `setScope(org.gcube.common.core.scope.GCUBEScope scope)` set the scope

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BrokerSubscription.DestinationPair

          public BrokerSubscription.DestinationPair()

  - ### Method Detail

    - #### getScope

          public org.gcube.common.core.scope.GCUBEScope getScope()

      get the scope
      Returns:
        the scope

    - #### setScope

          public void setScope(org.gcube.common.core.scope.GCUBEScope scope)

      set the scope
      Parameters:
        `scope` - the scope
      Throws:
        `org.gcube.common.core.scope.GCUBEScopeNotSupportedException`
        `org.gcube.common.messaging.endpoints.BrokerNotConfiguredInScopeException`

    - #### getDestinationName

          public String getDestinationName()

      get the destinationName name
      Returns:
        the destinationName name

    - #### setDestinationName

          public void setDestinationName(String destinationName)

      set the destinationName name
      Parameters:
        `destinationName` - the destinationName name

    - #### isQueue

          public boolean isQueue()

    - #### setQueue

          public void setQueue(boolean queue)

Copyright © 2018. All Rights Reserved.